Skip to main content
GET
/
schedules
Get all availability schedules
curl --request GET \
  --url https://api.zeeg.me/v2/schedules \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
      "uuid": "Q1ZYo391da",
      "email": "lena.meier@horizondigital.de",
      "title": "Working Hours",
      "isDefault": true,
      "timezone": "Europe/Berlin",
      "weekly_hours": [
        {
          "day": "Mon",
          "timesets": [
            [
              "09:00",
              "17:00"
            ]
          ]
        },
        {
          "day": "Tue",
          "timesets": [
            [
              "09:00",
              "17:00"
            ]
          ]
        },
        {
          "day": "Wed",
          "timesets": [
            [
              "09:00",
              "17:00"
            ]
          ]
        },
        {
          "day": "Thu",
          "timesets": [
            [
              "09:00",
              "17:00"
            ]
          ]
        },
        {
          "day": "Fri",
          "timesets": [
            [
              "09:00",
              "17:00"
            ]
          ]
        },
        {
          "day": "Sat",
          "timesets": []
        },
        {
          "day": "Sun",
          "timesets": []
        }
      ],
      "special_hours": [
        {
          "date": "2026-04-21",
          "timesets": [
            [
              "10:00",
              "14:00"
            ]
          ]
        }
      ],
      "schedulingPages": [
        {
          "uuid": "80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
          "title": "30-Minute Discovery Call",
          "slug": "30min-discovery-call",
          "schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call"
        }
      ],
      "currentTime": "2026-04-10T08:30:00+02:00",
      "createdAt": "2026-04-01T10:00:00.000000Z",
      "updatedAt": "2026-04-05T14:30:00.000000Z"
    },
    {
      "uri": "https://api.zeeg.me/v2/schedules/otrBCIib7j",
      "uuid": "otrBCIib7j",
      "email": "lena.meier@horizondigital.de",
      "title": "Evening Consultations",
      "isDefault": false,
      "timezone": "Europe/Berlin",
      "weekly_hours": [
        {
          "day": "Mon",
          "timesets": [
            [
              "18:00",
              "20:00"
            ]
          ]
        },
        {
          "day": "Tue",
          "timesets": [
            [
              "18:00",
              "20:00"
            ]
          ]
        },
        {
          "day": "Wed",
          "timesets": []
        },
        {
          "day": "Thu",
          "timesets": [
            [
              "18:00",
              "20:00"
            ]
          ]
        },
        {
          "day": "Fri",
          "timesets": []
        },
        {
          "day": "Sat",
          "timesets": []
        },
        {
          "day": "Sun",
          "timesets": []
        }
      ],
      "special_hours": null,
      "schedulingPages": [],
      "currentTime": "2026-04-10T08:30:00+02:00",
      "createdAt": "2026-04-02T12:00:00.000000Z",
      "updatedAt": "2026-04-02T12:00:00.000000Z"
    }
  ],
  "pagination": {
    "total": 2,
    "count": 2,
    "totalPages": 1,
    "previousPage": null,
    "currentPage": 1,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

email
string<email>
required

Email address of the user whose schedules to retrieve.

Example:

"lena.meier@horizondigital.de"

count
number
default:20

Limit the number of returned results per page.

Required range: 1 <= x <= 100
Example:

10

page
number
default:1

Page number for paginated results.

Required range: x >= 1
Example:

1

includeSchedulingPages
boolean
default:false

When true, includes the list of scheduling pages associated with each schedule.

Example:

true

Response

OK

collection
object[]
required

List of availability schedules

pagination
object
required
Last modified on April 4, 2026